/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "danger.styles";
@import "default.styles";
@import "info.styles";
@import "primary.styles";
@import "success.styles";
@import "warning.styles";

@function get-color($palette, $hue: 500, $contrast: false) {
  @if $contrast {
    @return map-get(map-get($palette, contrast), $hue);
  } @else {
    @return map-get($palette, $hue);
  }
}

$openk-header-gradient: linear-gradient(to right, rgba(232, 238, 231, 1) 0%, rgba(229, 237, 242, 1) 75%) repeat scroll 0 0 rgba(0, 0, 0, 0);
$openk-header-gadient-border: linear-gradient(to right, rgba(121, 182, 28, 1) 0%, rgba(2, 129, 196, 1) 75%) repeat scroll 0 0 rgba(0, 0, 0, 0);

$openk-error-color: get-color($openk-danger-palette, 200);

$openk-background: #f8fafd; // Default background
$openk-background-card: #f5f8fc; // For cards on the front, e.g. tables
$openk-background-highlight: #e9f0f9; // E.g. for zebra highlighting in tables

$openk-form-border: #b7cbda;
$openk-form-line: #ccdbe6;
